//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       MsgMeteo.h
//
//  @DESCRIPTION  Dfinition de la classe <c MsgMeteo>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _MSGMETEO_H_
# define _MSGMETEO_H_

#include <afx.h>

#include "MsgMeteoVille.h"
#include "Msg.h"

// @CLASSE Classe permettant de rcuperer un msg mteo sur Nomade
//
// @EXEMPLE Utilisation de la classe |
//	CString msg;
//  int retour = MsgMeteo::GetMessage(MsgMeteo::Toulouse,msg);
//  cout << msg;
class MsgMeteo : public Msg
{
public:
// @TYPE Fonction statique
	//@MEMBRE rcupre le msg mto
	static int GetMessage(const MsgMeteoVille& ville,CString& message);

// @TYPE Constantes
	static const MsgMeteoVille LaRochelle;
	static const MsgMeteoVille Cognac;
	static const MsgMeteoVille Limoges;
	static const MsgMeteoVille Bordeaux;
	static const MsgMeteoVille Agen;
	static const MsgMeteoVille Montauban;
	static const MsgMeteoVille Tarbes;
	static const MsgMeteoVille Auch;
	static const MsgMeteoVille Toulouse;
	static const MsgMeteoVille Biarritz;
   static const MsgMeteoVille Nancy;
   static const MsgMeteoVille Strasbourg;
   static const MsgMeteoVille Besancon;
   static const MsgMeteoVille Metz;
   static const MsgMeteoVille Mulhouse;

 
protected:
// @DOC INTERE
// @TYPE Fonction statique
	//@MEMBRE rcupre le msg meteo dans une chaine
	static bool GetMeteoFromString(CString &line,CString &temps,CString &min,CString &max);
};
	
#endif _MSGMETEO_H_
