//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       MsgMeteoVille.h
//
//  @DESCRIPTION  Dfinition de la classe <c MsgMeteoVille>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _MSGMETEOVILLE_H_
# define _MSGMETEOVILLE_H_

#include <afx.h>

// @CLASSE Classe encapsulant les paramtres de recherche d'info sur Nomade
class MsgMeteoVille
{
public:

// @TYPE Constructeur
	// @MEMBRE Constructeur par dfaut
	MsgMeteoVille();
	// @MEMBRE_ Constructeur par copie | 1
	MsgMeteoVille(const MsgMeteoVille& ville);
	// @MEMBRE_ Constructeur par explicite | 2
	MsgMeteoVille(const CString &page,const CString enteteDate,const CString& ville);
// @TYPE Destructeur
	// @MEMBRE Destructeur
	virtual ~MsgMeteoVille();

// @TYPE Accesseurs
	// @MEMBRE page oube o se trouve l'info
	const char* GetPage() const;
	// @MEMBRE dlimitateur de date ds cette page
	const char* GetEnteteDate() const;
	// @MEMBRE dlimitateur de la ville recherche
	const char* GetVille() const;

protected:
// @DOC INTERNE
// @TYPE Donnes membres
	// @MEMBRE page oube o se trouve l'info
	CString _page;
	// @MEMBRE dlimitateur de date ds cette page
	CString _entete;
	// @MEMBRE dlimitateur de la ville recherche
	CString _ville;
};
	

#endif _MSGMETEOVILLE_H_
