//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       SmsSFR.h
//
//  @DESCRIPTION  Dfinition de la classe <c SmsSFR>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _SMSSFR_H_
# define _SMSSFR_H_

// @CLASSE Classe permettant d'envoyer un mini-msg sur SFR
class SmsSFR : public Sms
{
public:
	typedef Sms inherited;
// @TYPE Constructeur
	// @MEMBRE Constructeur par dfaut
	SmsSFR();
	// @MEMBRE_ Constructeur par copie | 1
	SmsSFR(const SmsSFR& sms);
	// @MEMBRE_ Constructeur par explicite | 2
	SmsSFR(const CString& tel);

// @TYPE Oprations
	// @MEMBRE Envoie le message prdfini
	int Envoyer(void);
	// @MEMBRE Envoie le message | 1
	int Envoyer(const CString& msg);
};

inline int SmsSFR::Envoyer(const CString& msg)
{
	return inherited::Envoyer(msg);
};

#endif _SMSSFR_H_
