//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       Msg.h
//
//  @DESCRIPTION  Dfinition de la classe <c Msg>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _MSG_H_
# define _MSG_H_

#include <afx.h>

// @CLASSE Classe permettant de rcuperer un msg mteo sur Nomade
//
// @EXEMPLE Utilisation de la classe |
//	CString msg;
//  int retour = Msg::GetMessage(msg);
//  cout << msg;
class Msg
{
public:
// @TYPE Fonction statique
	//@MEMBRE extrait une chaine entre deux 'tags'
	static bool StringExtract(CString &from,LPCTSTR start,LPCTSTR end,
						  CString &avant,CString &result,CString &apres);
	//@MEMBRE convertie une chaine HTML en texte simple
	static bool StringHtmlToText(CString &from,CString &result);
};
	
#endif _MSG_H_
