//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       MsgInfo.h
//
//  @DESCRIPTION  Dfinition de la classe <c MsgInfo>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _MSGINFO_H_
# define _MSGINFO_H_

#include <afx.h>
#include "msg.h"

// @CLASSE Classe permettant de rcuperer un msg information sur Nomade
//
// @EXEMPLE Utilisation de la classe |
//	CString msg;
//  int retour = MsgInfo::GetMessage(msg);
//  cout << msg;
class MsgInfo : public Msg
{
public:
// @TYPE Fonction statique
	//@MEMBRE rcupre le msg information
	static int GetMessage(const CString& type,CString& message);

protected:
// @DOC INTERE
// @TYPE Fonction statique
	//@MEMBRE rcupre le msg information dans une chaine
	static bool GetInfoFromString(CString& line,CString& titre,CString& info);
};
	
#endif _MSGINFO_H_
