//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       SmsBGT.h
//
//  @DESCRIPTION  Dfinition de la classe <c SmsBGT>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _SMSBGT_H_
# define _SMSBGT_H_

// @CLASSE Classe permettant d'envoyer un mini-msg sur SFR
class SmsBGT : public Sms
{
public:
	typedef Sms inherited;
// @TYPE Constructeur
	// @MEMBRE Constructeur par dfaut
	SmsBGT();
	// @MEMBRE_ Constructeur par copie | 1
	SmsBGT(const SmsBGT& sms);
	// @MEMBRE_ Constructeur par explicite | 2
	SmsBGT(const CString& tel);

// @TYPE Oprations
	// @MEMBRE Envoie le message prdfini
	int Envoyer();
	// @MEMBRE Envoie le message | 1
	int Envoyer(const CString& msg);
};

inline int SmsBGT::Envoyer(const CString& msg)
{
	return inherited::Envoyer(msg);
};

#endif _SMSBGT_H_
