//****************************************************************************
//  @DOC EXTERNE
//
//  @MODULE       SmsITI.h
//
//  @DESCRIPTION  Dfinition de la classe <c SmsITI>.<nl>
//	   
//  @AUTEUR       (c) V. Osele (osele@mygale.org)       Mai 1998
//                Upgrade : bugmn / TheGFX / S-Stephen  Juin 1998
//
//  @COM          Prvenez moi, si vous faites des modifications.
//
//****************************************************************************

# ifndef _SMSITI_H_
# define _SMSITI_H_

// @CLASSE Classe permettant d'envoyer un mini-msg sur SFR
class SmsITI : Sms
{
public:
	typedef Sms inherited;
// @TYPE Constructeur
	// @MEMBRE Constructeur par dfaut
	SmsITI();
	// @MEMBRE_ Constructeur par copie | 1
	SmsITI(const SmsITI& sms);
	// @MEMBRE_ Constructeur par explicite | 2
	SmsITI(const CString& tel);

// @TYPE Oprations
	// @MEMBRE Envoie le message prdfini
	int Envoyer();
	// @MEMBRE Envoie le message | 1
	int Envoyer(const CString& msg);

};

inline int SmsITI::Envoyer(const CString& msg)
{
	return inherited::Envoyer(msg);
};

#endif _SMSITI_H_
